<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::PixelBox Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#26cb2e011c3dec1ff625716e1778233a">back</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#66b5764c9ac1aad8410e9883c74b522a">bottom</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#aae3f6efb19b7607eef11e8e70fa46a2">Box</a>()</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#de5fa24983e99f0ebabfc04f416aef1d">Box</a>(size_t l, size_t t, size_t r, size_t b)</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#f02ad818211c2f83fff1866f328872c8">Box</a>(size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#ebee870489731d59ddc99903220244c0">contains</a>(const Box &amp;def) const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#c4fe215e13fc38d6a45e0c40ee2f1425">data</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a4101fdc288dc41dddac88440b4d0818">format</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#6057f53bf949ee0725aeb52d1e480f4c">front</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#469097a2cc6e3652ba3fe44366ce389d">getConsecutiveSize</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#35a70afaf89bbd6371a9abdc9e1da469">getDepth</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#93d5935ee18c29336ea11460a9d30b53">getHeight</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#6c57caf05a1a9c91780f6602bec71402">getRowSkip</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#27f6e0e9f80a2a3397ef5550875cee97">getSliceSkip</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#692f1b55d10d988a6952a2720b24a7ae">getSubVolume</a>(const Box &amp;def) const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#7621962346ee18c3df6a405d115548a8">getWidth</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#37865dea7e66ea41c9c47f8a52a55892">isConsecutive</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#8c667f45bbbe5be0577025436a7e50a0">left</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#196c57b3cf61c1545c46896cff269efb">PixelBox</a>()</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#422d941d56f9bb32134f304754e0d72d">PixelBox</a>(const Box &amp;extents, PixelFormat pixelFormat, void *pixelData=0)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#da7e7fab7d00e3c842a514fe7aa11b0d">PixelBox</a>(size_t width, size_t height, size_t depth, PixelFormat pixelFormat, void *pixelData=0)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#57531708bc749511715f37648d105aad">right</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#acf8f1ebed40c557389d9d1e9dda3b68">rowPitch</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#69fea3b4fed6726ee578519ec05bd246">setConsecutive</a>()</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#5f4ac4f2e735678fc8b3ddc1068674dd">slicePitch</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#ebfb3bd646373c45c9e38735640f6e3a">top</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:47 2008
</p>
</body>
</html>
